# RedHat-style .spec file for Xapian
# omega.spec.  Generated from omega.spec.in by configure.
%define contentdir /var/lib

Summary: A CGI search frontend and indexers built on Xapian.
Name: xapian-omega
Version: 0.9.1
Release: 1
License: GPL
Vendor: www.xapian.org
Group: Applications/Internet
URL: http://www.xapian.org/
# FIXME: once we reach 1.0 "=" should become ">="
Requires: xapian-core-libs = %{version}, webserver
BuildRequires: xapian-core-devel = %{version}
Source0: http://www.oligarchy.co.uk/xapian/%{version}/omega-%{version}.tar.gz
Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root

%description
Omega is a CGI application which uses the Xapian Information Retrieval
library to index and search collections of documents.

%prep
%setup -q -n omega-%{version}

%build
%configure
make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
mkdir -p %{buildroot}
%makeinstall
# CGI application
mkdir -p %{buildroot}/var/www/cgi-bin/
mv %{buildroot}%{_libdir}/omega/bin/omega %{buildroot}/var/www/cgi-bin
# Create the data directory
mkdir -p %{buildroot}%{contentdir}/omega/data
# Default templates
mkdir -p %{buildroot}%{contentdir}/omega/templates
cp templates/* %{buildroot}%{contentdir}/omega/templates/
# Images
mkdir -p %{buildroot}/var/www/icons/omega
cp -r images/* %{buildroot}/var/www/icons/omega/
# Configuration file
mkdir -p %{buildroot}/etc
install -D -m644 omega.conf %{buildroot}/etc/omega.conf
# Move the scripts to the right place
mv %{buildroot}/usr/share/omega %{buildroot}%{_datadir}/%{name}
# Move the docs to the right place
mv %{buildroot}/usr/share/doc/omega %{buildroot}/usr/share/doc/%{name}-%{version}

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-, root, root)
%{_bindir}/dbi2omega
%{_bindir}/omindex
%{_bindir}/scriptindex
%{_bindir}/htdig2omega
%{_bindir}/mbox2omega
%{contentdir}/omega
/var/www/cgi-bin/omega
/var/www/icons/omega
%{_datadir}/%{name}
%config(noreplace) /etc/omega.conf
%docdir /usr/share/doc/%{name}-%{version}
%doc AUTHORS ChangeLog COPYING NEWS README TODO
